diff -urpN zita-resampler-1.8.0.orig/apps/Makefile zita-resampler-1.8.0/apps/Makefile
--- zita-resampler-1.8.0.orig/apps/Makefile	2018-08-23 12:52:50.000000000 +0300
+++ zita-resampler-1.8.0/apps/Makefile	2021-01-05 20:27:20.816636061 +0300
@@ -23,18 +23,17 @@ BINDIR ?= $(PREFIX)/bin
 MANDIR ?= /usr/share/man/man1
 
 VERSION = 1.6.0
-CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
-CXXFLAGS += -O2  -ffast-math -Wall
-CXXFLAGS += -march=native
+CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -I ../source
+CXXFLAGS += -ffast-math -Wall
 
 
-all:	zresample zretune zresample.1.gz zretune.1.gz
+all:	zresample zretune
 
 
 ZRESAMPLE_O = zresample.o audiofile.o dither.o
 zresample:	LDLIBS += -lzita-resampler -lsndfile -lrt
 zresample:	$(ZRESAMPLE_O)
-	$(CXX) $(LDFLAGS) -o $@ $(ZRESAMPLE_O) $(LDLIBS)
+	$(CXX) -L ../source $(LDFLAGS) -o $@ $(ZRESAMPLE_O) $(LDLIBS)
 $(ZRESAMPLE_O):
 -include $(ZRESAMPLE_O:%.o=%.d)
 
@@ -42,25 +41,18 @@ $(ZRESAMPLE_O):
 ZRETUNE_O = zretune.o audiofile.o dither.o
 zretune:	LDLIBS += -lzita-resampler -lsndfile -lrt
 zretune:	$(ZRETUNE_O)
-	$(CXX) $(LDFLAGS) -o $@ $(ZRETUNE_O) $(LDLIBS)
+	$(CXX) -L ../source $(LDFLAGS) -o $@ $(ZRETUNE_O) $(LDLIBS)
 $(ZRETUNE_O):
 -include $(ZRETUNE_O:%.o=%.d)
 
 
-zresample.1.gz:	zresample.1
-	gzip -c zresample.1 > zresample.1.gz
-
-zretune.1.gz:	zretune.1
-	gzip -c zretune.1 > zretune.1.gz
-
-
 install:	all
-	install -d $(BINDIR)
-	install -d $(MANDIR)
+	install -d $(DESTDIR)$(BINDIR)
+	install -d $(DESTDIR)$(MANDIR)
 	install -m 755 zresample $(DESTDIR)$(BINDIR)
 	install -m 755 zretune $(DESTDIR)$(BINDIR)
-	install -m 644 zresample.1.gz $(DESTDIR)$(MANDIR)
-	install -m 644 zretune.1.gz $(DESTDIR)$(MANDIR)
+	install -m 644 zresample.1 $(DESTDIR)$(MANDIR)
+	install -m 644 zretune.1 $(DESTDIR)$(MANDIR)
 
 uninstall: 
 	/bin/rm -f $(DESTDIR)$(BINDIR)/zresample
diff -urpN zita-resampler-1.8.0.orig/source/Makefile zita-resampler-1.8.0/source/Makefile
--- zita-resampler-1.8.0.orig/source/Makefile	2020-12-28 23:09:24.000000000 +0300
+++ zita-resampler-1.8.0/source/Makefile	2021-01-05 20:19:47.951831754 +0300
@@ -31,9 +31,7 @@ VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)
 
 CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
-CPPFLAGS += -DENABLE_SSE2
-CXXFLAGS += -Wall -fPIC -O2 -ffast-math
-CXXFLAGS += -march=native
+CXXFLAGS += -Wall -fPIC -ffast-math
 LDFLAGS += 
 LDLIBS +=
 
@@ -47,6 +45,9 @@ ZITA-RESAMPLER_H = zita-resampler/resamp
 	zita-resampler/vresampler.h zita-resampler/cresampler.h
 
 
+$(ZITA-RESAMPLER_SO): $(ZITA-RESAMPLER_MIN)
+	ln -sf $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_SO)
+
 $(ZITA-RESAMPLER_MIN): $(ZITA-RESAMPLER_O)
 	$(CXX) -shared $(LDFLAGS) -Wl,-soname,$(ZITA-RESAMPLER_MAJ) -o $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_O) $(ZITA-RESAMPLER_DEP)
 
@@ -58,8 +59,8 @@ install:	$(ZITA-RESAMPLER_MIN)
 	install -d $(DESTDIR)$(LIBDIR)
 	install -m 644 $(ZITA-RESAMPLER_H)   $(DESTDIR)$(INCDIR)/zita-resampler
 	install -m 755 $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)
-	ldconfig
 	ln -sf $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-RESAMPLER_SO)
+	ln -sf $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-RESAMPLER_MAJ)
 
 uninstall:
 	/bin/rm -rf $(DESTDIR)$(INCDIR)/zita-resampler
